Name:           OpenEXR
Summary:        A high dynamic-range (HDR) image file format for use in computer imaging applications
Version:        2.2.0
Release:        17
License:        BSD
URL:	        http://www.openexr.com/
Source0:        http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz

Patch0000:      openexr-2.1.0-bigendian.patch

BuildConflicts: %{name}-devel < 2.2.0
BuildRequires:  gcc-c++ ilmbase-devel >= %{version} zlib-devel pkgconfig

Requires:       %{name}-libs = %{version}-%{release}

Provides:       openexr = %{version}-%{release}
Obsoletes:      openexr < %{version}-%{release}

%description
OpenEXR is a high dynamic-range (HDR) image file format originally developed by Industrial
Light & Magic for use in computer imaging applications.

%package        libs
Summary:        Libraries for %{name}

%description    libs
Libraries for %{name}.

%package devel
Summary:        Development files for %{name}
Provides:       openexr-devel = %{version}-%{release}
Obsoletes:      openexr-devel < %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release} ilmbase-devel

%description devel
This package contains libraries and header files for development of %{name}.

%prep
%autosetup -n openexr-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%delete_la

%check
export PKG_CONFIG_PATH="%{buildroot}%{_libdir}/pkgconfig${PKG_CONFIG_PATH:+:}${PKG_CONFIG_PATH}"
test "$(pkg-config --modversion OpenEXR)" = "%{version}"
%make_build check ||:

%ldconfig_scriptlets libs

%files
%doc AUTHORS ChangeLog NEWS README
%license LICENSE
%{_bindir}/exr*
%exclude %{_docdir}/%{name}-%{version}

%files libs
%{_libdir}/libIlmImf-2_2.so.22*
%{_libdir}/libIlmImfUtil-2_2.so.22*

%files devel
%{_datadir}/aclocal/openexr.m4
%{_includedir}/%{name}/*
%{_libdir}/libIlmImf*.so
%{_libdir}/pkgconfig/OpenEXR.pc

%changelog
* Tue Feb 18 2020 hexiujun <hexiujun1@huawei.com> - 2.2.0-17
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:unpack libs subpackage

* Fri Oct 25 2019 huzhiyu <huzhiyu1@huawei.com> - 2.2.0-16
- Package init
